
 WinNavigator's history  (The project was started at February 25, 1998)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  WinNavigator v1.96 (February 22, 2002)
 ---------------------------------------
 ! We will continue our work on WinNavigator
 * Fixed several minor bugs in Resource Explorer
 * Fixed bug with changing of current path by "cd <dirname>" command
 * Fixed bug in drive bar if UNC path
 * WinNavigator correctly calculates and shows the size of great folders or files!
 * A number of many minor bugs are fixed now 
 + WinNavigator supports Windows XP and uses interface with Visual Styles 
 + Improved volume control on status bar
 + Context menu (by right mouse button) contains standard Explorer's menu now
 + Now you can cancel copying/moving of great files at any time by pressing of Esc key
 + Added support of Ukrainian language
 + A lot of other changes and visual improvements 
  

  WinNavigator v1.95 (February 6th, 2001)
 ---------------------------------------
 + Fixed some minor bugs;
 + Several improvements of interface;
 + Added support of Brazilian Portuguese language
 + Added support of Swedish language; 


 WinNavigator v1.94 (January 21st, 2001)
 ---------------------------------------
 + Fixed several minor bugs with extracting of files from archives 
 + Improved HTML viewer (F3 key for .htm files):
   > Fixed problem with clipboard;
   > Fixed some other minor bugs;
   > Added toolbar with buttons;
   > Added addres line (with autocomplete if IE5.x or later)
 + Added <Make filelist> action (Main menu | Commands)
 + Added support of Bosnian language
 + Added support of Chinese-Big5 language
 + Now you can select language from Main menu | Configuration | Language
 + Improved GIF library:
   > New engine for viewing of GIF images;
   > Support of Animated GIFs in Quickview panel (of filepanel)
 ! In this version we've changed registration keys. So please contact 
   us (support@wnsoft.com) to get new key for free (for registered users only!).
   Please don't forget to inform us about your Order ID and its date. 
 + Some other fixes and improvements   
 

 WinNavigator v1.93 (October 30th, 2000)
 ---------------------------------------
 * Fixed bug with playing of .kar files
 * Fixed bug on openning of internal dialer with some languages
 * Fixed minor bug with status bar
 * Fixed problem with displaying of very long file name in bottom part of file panel
 * Fixed minor bug in configuration window of archivers
 * Fixed minor bug with sort mode by date
 * Fixed minor bug with Hot drives window
 + Improved <Attributes of file(s)> dialog (Ctrl+A):
   > Show of time and date of file or folder
   > Possibility to change time/date of file(s) or folder(s)
   > Some other improvements
 + Added option <Show names of network drives> (Main options, <Advanced> tab)
 + Added support of Chinese language
 + And many other changes and improvements 


 WinNavigator v1.92 (October 9th, 2000)
 --------------------------------------
 * Fixed minor bug in <Files colors> dialog
 + Improved change drive dialog (Alt+F1/F2)
   * Fixed several bugs
   * Removed long delays in case of disabled network drives
   + Added popup menu with properties of drive (right mouse click on the item)
 * Fixed several bugs in file panels
 * Small improvements in status bar
 * Fixed small bug in drive panel
 * Fixed bug with incorrect Russian filenames in case of extracting from RAR archive
 * Fixed several bugs in Move function (F6) and in Copy function (F5)  
 + Added Alt+Enter hotkey: fit-to-screen main window
 + Added support of Romanian language 
 + Auto-detecting the language of user 
 + And several other changes and improvments



 WinNavigator v1.91 (August 24th, 2000)
 --------------------------------------
 * Fixed bug with minimization the dialog windows of Copy/Move/Delete/Find files
 * Fixed minor bug with internal sound regulator
 * Fixed bug, when on start WinNavigator the current folder inaccessible
 * Fixed bug, when on start WinNavigator the current drive inaccessible
 * Fixed bug with icons of hot folders menu (Ctrl+D)
 * Fixed minor bug in <Change drive> menu (Alt+F1/F2)
 * Fixed bug with locking of file: after playing mp3, this file can be deleted
 * Fixed bug with drive panel on startup of WinNavigator (if drive panel is hidden)
 * Fixed minor bug in Move dialog
 * HTML viewer (F3 key when .html file) can work with Internet Explorer 3.0 
 * Also fixed minor bug with Esc key in HTML viewer
 * And some other changes and corrections


 WinNavigator v1.90 (July 27th, 2000)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed bug with copying opened files (e.g. opened by MS Word)
 * Fixed bug in sound regulator on status bar
 * Fixed several other minor bugs  
 + Added additional info to rewrite dialog on copying
 + New enhanced drives bar
   > Full rewritten component
   > Button of selected drive is marking as pressed
   > If drives don't fit on drives bar, then scroll buttons appear; 
     you can  also turn on scroll bar (Main options, <Advanced> tab, 
     <Show scroll bar on drives bar>)
 + Improved <Find> dialog (Alt+F7)
   > Can do searching inside files 
   > Esc stops searching
   > F3 key to view selected file in list of found files  
 + And several other changes


 WinNavigator v1.85 (January 25, 2000)        
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed bug with using external editor
 * Fixed minor bug in install program
 * Fixed other several bugs
 + Added new MP3-based engine
 + Changed protection (new registration is free for all registered users)
 + Added support of French language
 + Added support of Dutch language
 + Improved <Find files> dialog: can do search in files
 + Added Hex Editor. HotKey: Shift+F3 (beta version)
 + Several other changes


 WinNavigator v1.80 (November 10, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed several bugs
 * Fixed small bug in QuickView
 * Fixed bug with Toolbar
 + New user's menu, hotkey F2 
   (your previous menu will automatically convert to new format)
 + Select all files with the same name, hotkey Alt+GrayPlus
   Unselect all files with the same name, hotkey Alt+GrayMinus
 + Added internal viewer for video files (*.avi)
   > Set cursor to the file and press F3 or Enter
   > Can view .mov and .mpg video files (needs support for Windows Player)
   > When viewing video file press <Space> key to pause/unpause
 + Added hotkeys:
   Main menu, <Commands>, <Network connections> - Ctrl+N
   Main menu, <Commands>, <Disconnect network drives> - Ctrl+Shift+N 
 + Several changes in <Copying> window
 + Added <Shuffle> button to Playlist window, and <More...> button
   (for random playing music files from playlist)
 + Updated HTML viewer (F3 for *.html,*.htm,*.cgi files)
 + Improved file panel. Now it shows a real icons of files!
 + Item <Change colors> is moved from <Panel> to 
   <Configuration> in main menu
 + Added new action in Popup menu <Create>/<Shortcut on desktop>
 + For quick adding current file/folder to HotFolders list 
   press Shift+Ctrl+Alt+1..9 (where 1..9 is number of cell)
 + Added new functions to Main menu/Command/Advanced:
   > <Convert filenames to upper case>
   > <Convert filenames to lower case>
 + File panel works more fast
 + Press Ctrl+Shift+Enter to copy full path of current file/folder
   to command line
 + Improved Installer
 + Several other changes  


 WinNavigator v1.76 (September 17, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed old bug: after playeing wav/mid file couldn't be deleted
 * Fixed some other bugs
 + Changed view of F6-Rename/Move window
 + Some other changes in several windows
 + Added special features to F8-Delete window 
 + Use Ctrl+Right mouse click to show popup menu
 + When viewing pictures and if file is selected, "Selected file" appeares
 + When viewing use Ins key to select/unselect current file
 + File mask selection by Ctrl+GrayPlus (like FAR/DN)
 + File mask deselection by Ctrl+GrayMinus (like FAR/DN)
 + Added alternative hotkey Ctrl+X for quick-search 
 + Ctrl+Ins copies command line contents to clipboard
 + Can run .EXE files from archive
 + Added item <Customize> to hotfolders popup menu
 + Improved HotFolders  
                                                        

 WinNavigator v1.70 (July 28, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Improved built-in viewer/editor
 + Added new option: Italic font for hidden files
 + 'Auto save current path' can work without checked 'Auto save configuration'
 + Can convert mp2/mp3 file to WAV
 + Improved built-in mediaplayer
    > Supports WinAmp playlist (*.m3u)
    > added new buttons to statusbar: play, next, previous, show playlist
    > added window to edit playlist (approximately as WinAmp's playlist)
    > for add music file(s) to playlist press Alt+M
    > for load playlist from file (*.m3u) press button <More...> in
      playlist's window and select item <Load playlist>
    > for save playlist to file (*.m3u) press button <More...> in
      playlist's window and select item <Save playlist>
    > other changes
 + Changed address of our Web site - www.wnsoft.com    


 WinNavigator v1.65 (July 12, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed small bug in main menu
 * Fixed several bugs in built-in viewer/editor
 * Fixed small bug in move function
 * Fixed some bugs in documentations
 * Fixed bug with mouse double-click
 * Fixed bug in Installer
 * Fixed several bug in built-in mp3 player
 + Improved built-in viewer/editor 
    > added KOI8 support
    > can be adding new language table (see Help.doc in folder 'Chrtab')
    > added a new features
    > added 'Go to line' function
    > added view mode (F6 to switch between view/edit mode)
 + Improved drag&drop
 + Added support *.kar format (Midi-Karaoke)
 + Added a new volume control of sound (look on StatusBar)
 + Added file_id.diz to installation kit
 + Updated all language files 
 + Added German language
 + Added support wheeling mouse
 + Optimized work with network drives
 + Added updating drives' list on adding/removing drives
 + Several corrections in main menu
   

 WinNavigator v1.60 beta (May 28, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed more bugs
 * Some changes in Main Menu
 * Improved 'Find files' utility
 + Added new item to main menu 'Create shortcut'
 + Added 'Compare folders' utility
 + Added local toolbar to the caption of the file panel
 + Added 'Font viewer' utility
 + New powerful editor/viewer
 + Improved drag&drop system
    > right click switches copy/move/create shortcut
    > with pressed Alt to Move
    > with pressed Ctrl to Create shortcut
    > other changes
 + Added Lithuanian language
 + Added 'Send To' menu (in popup menu)
 + Improved Resource Explorer
    > now supports 18 formats
 + Added Uninstaller
 + Set/Remove attributes for selected group of files/folders
 + Added 'Advanced' tab to Main options
    > 14 params of fine-tuneing
    > Some other changes
 + Added 'Hot folders' list
    > Now possible to add folders and commands
    > 'Hot folders' button on local toolbar
    > Access to folders and/or commands by Alt+1..Alt+9
    > Quick list on Ctrl+D
 + Improved internal MediaPlayer
    > New powerful mp2/mp3 engine! Now with lower CPU usage
    > Add a new button to get info when playing mp3 file
 + Some changes in popup menu
 + Several other changes
 + Support multi-volume archives


 WinNavigator v1.50 (April 1, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed bug because of which WinNavigator didn't work at some Windows98
 * Fixed some bugs in filepanel
 * Fixed some bugs in copy and move functions
 * Optimized file panel (high perfomance)
 * Some correction in main menu
 + Added utility 'File information' 
 + Improved 'Files highlighting'
 + Updated hotkeys.txt
 + Improved HTML viewer (it's required IE 3.0 or high)
 + Added hotkey for calculation size of folder(s) - Ctrl+G
 + Added item 'Select' to main popup menu
 + Monitoring of changes in current folder
 + Extended support of archives
    -> Support sub-archives
    -> Playing musical files from archive (F3 or Enter)
    -> Creating a new archive (Shift+F1)
    -> Adding files/folders in existing archives (as usual copy)
    -> Erasing files/folders from archive
 + Increase/reduction of picture in full-screen viewing by keys +/-
 + Added Spanish language
 + Improved HELP system (working HTML links)
 + Copy list of selected files to clipboard by hotkey 'Ctrl+/'
 + Tested and optimized for Windows2000 Professional
 + Corrected and improved help files
 + Customizable toolbar
 + Improved status bar

 WinNavigator v1.41 (Feb 12, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed several small bugs
 * Fixed bug in Move function
 + Optimized file panel
 + On BkSpace for one folder up


 WinNavigator v1.40 beta, (Feb 5, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed some bugs
 + Improved installator
 + Added Czech language
 + Added Hungarian language
 + Changed About window
 + Added hot-key Ctrl+H (show/hide Hidden files)
 + Improved built-in text Editor (now can be editing many files)
 + Added 'Show file icon' (in Main options, 'Panel')
 + Added new color's scheme - 'Windows Commander'
 + Changed instalator (added question about interface of program)
 + Improved built-in functions copy and move/rename files
 + New design of WinNavigator!
 + Added support for JIF,DIB,RLE,TGA graphics formats
 + Added HotKeys list (see 'hotkeys.txt' or help system)
 + Adjusting the colors of hidden files
 + Improved 'Files highlighting'


 WinNavigator v1.35, (Jan 19, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed some bugs in built-in Tetris game
 * Fixed some bugs in built-in Life game
 * Fixed bug in quick search (Alt+X)
 * Other small corrections
 + Added colors's schemes (in main menu)
 + Improved built-in Editor (changed Toolbar, added Status bar)
 + Added help on Russian
 + Improved 'Find files'
 + Added item 'Rename' to main popup menu
 + Viewing animated GIF (F3)
 + Added support for CAB, ZOO, TAR, GZIP, LZH arhives  (viewing and extracting)
 + Improved built-in functions copy/move


 WinNavigator v1.30, (Jan 11, 1999)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Now WinNavigator is starting 20% quicker!
 * Corrected several mistakes in installator
 * Fixed small bug in window 'Folders history'
 * Other small corrections
 + Added popup menu for file panel
 + Small changes in file panel
 + Quick unpacking of archives (Shift+Enter)
 + Optimized file panel
 + Extraction UUE coded files (Shift+F2 or Shift+Enter)
 + Added help on Polish language
 + In QuickView mode view txt and other files
 + Improved built-in Editor (recoding of text - F8)
 + Scrolling of file panel by scrollbar
 + Added commands history
 + Updated help system
 + Added support graphics format PCX
 + Optimized erasing of files and corrected some errors
 + Improved copying and moving of files
 + Active WinNavigator's windows by key 'Pause'


 WinNavigator v1.2 beta, (Dec 28, 1998)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Now WinNavigator is starting 30% quicker!
 * Corrected problem of conservation to desksides when installing a program
 * Corrected several mistakes
 + Support of archives (zip, arj, rar, arc, lzh, lha, cab, ha)
 + Added extracting files from archive (Shift+F2)
 + Viewing documents and pictures from archive
 + Improved Driver Change window
 + Added quick file/folder rename (Shift+F6 or Alt+F6)
 + Added Connect/Disconect of the network drives


 WinNavigator v1.11, (Dec 19, 1998)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Fixed some bugs at creating folder
 * Fixed some bugs at find files
 * Fixed some bugs at deleting files
 * Fixed some bugs at coping/moving files
 * Changed quick searching files
 * And other corrections
 + Added unselect files - 'Gray - '


 WinNavigator v1.10, (Dec 18, 1998)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * The file library is completely altered
 * The change of a folder occurs in some times faster!
 * The visualization of the file panel is optimized
 * The mistakes in drag and drop for files are corrected
 * The kind of a regulator of loudness of a sound in StatusBar is changed
 * The mistake with start external MediaPlayer'a is corrected
 * The colour palette for the different colour circuits Windows is optimized
 * Sometimes there was a mistake with change of a disk through DriveBar
 * The mistake connected with colour of the marked files is corrected
 * The mistake sometimes arising is corrected with pressing Gray +
 * The mistake connected with display of a way in a command line is corrected
 * The problem of start of the program under an environment LiteStep is eliminated
 * Small other corrections
 + The support of Italian language is added
 + It is possible to change the sizes of columns in the 'Extended View' of the file panel
 + Automatic playing of all files in a folder (mp2, mp3 etc)
 + The redefinition highlighting of files is possible
 + It is possible to mark files by a key Space
 + Minimizing of the appendix by a key Esc
 + The viewing by ResourceExplorer of files *.dpl, *.bpl, *.cpl is added
 + Utility for reading news from Internet server WinNavigator'a
 + Support of a American type of a conclusion of date
 + The hot keys for buttons are added
 + Is complemented and the system of the help is improved
 + Added new powerful functions for copying, moving and deleting files (pre-view)
 + Added 'Find files' utility
 + Added 'Quick search' (Alt+X or Esc)
 + Improved installator
 + Added adjustment a stiletto drag&drop
 + Viewing HTML documents (is required Internet Explorer 4.0 or high)


 WinNavigator v1.00 release (10.11.1998)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * The mistakes in the documentation and program are corrected
 * The mistake connected with calculation of volume of the marked files is corrected
 * Other mistakes and defects also are corrected
 + Integrated system of the help under the program
 + The editor of the text is improved
     + Preservation of a position of the panel of tools
     + On 'Ctrl + Tab' switching between the editor and file panels
     + Small other corrections
 + Support of Russian language
 + Support of Polish language
 + Removal of files on a key Del
 + Viewing pictures and playing of music on 'Enter' or double click of the mouse
 + The speed of work of the file panel is increased
 + Transition in the root catalogue on 'Ctrl + \'
 + Start of the appendices on double click of the mouse in the user menu
 + The button browse in the user menu is added
 + Updating the current file panel on 'Ctrl + R'
 + Small changes in installator of the program
 + Copying the list of the marked files in a folder of an exchange on ' Ctrl + / '
 + Opportunity copy/move/delete without confirmation
 + Drag and drop of files
 + Change of a disk on 'Ctrl + cursor's keys'
 + Copying in command a line of a current way 'Ctrl + [' or 'Ctrl +]'
 + Musical position control on Status Bar
 + More convenient scrolling of files by mouse


 WinNavigator v1.00 beta #3
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Some mistakes in work of file panels are corrected
 * Fixed bugs in Text Editor
 * Fixed bugs in QuickView panel
 * Fixed bugs in System Information panel
 * Fixed bug that sometimes ocure when changing disk
 * Changed About System
 + The code of the program is optimized, faster is loaded
 + The editor of the text is improved
 + Choice of the internal / external editor of the text
 + Now you can change size of file panels
 + Added hints to quick disk change


 WinNavigator v1.00 beta #2
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Fixed starting problem at WindowsNT without installed RAS
 + Fixed bug with toolbar settings
 + Fixed bugs with Tetris and Life games: no error message when quiting game.
 + Fixed bug with drive select
 + Small bugs in program and documentation were fixed
 + Fixed bugs with sorting files in file panels
 + *.jpeg files wasn't viewing. Fixed.
 + Added quick view in file panel
 + Added toolbar more toolbar settings
 + Enhaced Resource Explorer
 + Changed interface of some windows: 'About program', 'Information',
   'System Info', 'Sort modes'
 + Drive change by pressing letter
 + Enxanced text editor
 + Added 'unselect all' in Commands menu
 + Added player for .stm files
 + Added quick saving current configuration

